"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateInitialCoverage = void 0;
var _fs = _interopRequireDefault(require("fs"));
var _path = _interopRequireDefault(require("path"));
var _extractCoverageData = require("./extract-coverage-data");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const generateInitialCoverage = paramsPath => {
  const initialCoverageDataForTheCurrentFile = (0, _extractCoverageData.extractCoverageData)(paramsPath);
  const filePath = './.canyon_output/coverage-final.json';
  const dir = _path.default.dirname(filePath);
  if (!_fs.default.existsSync(dir)) {
    _fs.default.mkdirSync(dir, {
      recursive: true
    });
  }
  if (initialCoverageDataForTheCurrentFile) {
    _fs.default.writeFileSync(`./.canyon_output/coverage-${Math.random()}.json`, JSON.stringify({
      [initialCoverageDataForTheCurrentFile.path]: initialCoverageDataForTheCurrentFile
    }, null, 2), 'utf-8');
  }
  return initialCoverageDataForTheCurrentFile;
};
exports.generateInitialCoverage = generateInitialCoverage;